package conf

import (
	"log"
	"time"
)

var (
	// log conf
	LogFlag = log.LstdFlags

	// gate conf
	PendingWriteNum        = 2000
	MaxMsgLen       uint32 = 4096
	HTTPTimeout            = 10 * time.Second
	LenMsgLen              = 2
	LittleEndian           = false

	// skeleton conf
	GoLen              = 10000
	TimerDispatcherLen = 10000
	AsynCallLen        = 10000
	ChanRPCLen         = 10000
)

var (
	MongoDBAddr = "mongodb://localhost:27017"
	MongoDBName = "teen_patti"
	RedisDBAddr = "localhost:6379"
	MysqlDBAddr = "root:password@tcp(localhost:3306)/teen_patti?charset=utf8mb4&parseTime=True"
)
