package events

import "github.com/name5566/leaf/gate"

type EventType int

const (
	EventTeenPattiGameInfo EventType = iota
	EventJoinTeenPattiRoom
	EventTeenPattiPlayerOptAction
)

type Event struct {
	Type  EventType
	Data  interface{}
	Agent gate.Agent
}

var EventChan = make(chan Event, 100)
