package teen

import (
	"math/rand"
	"server/game/room"
)

// 随机选一个一个玩家当庄家md
func randomDealer(room *room.Room) {
	// room.SetDealerPlayer(room.Players[rand.Intn(len(room.Players))])
	room.SetDealerPlayer(room.GetPlayerBySitPos(SelfSitPos))
}

// 一共4个座位，指定需要的座位数量，且不重复的随即返回
func randomSitPos(room *room.Room, num int) []int {
	availablePos := make([]int, 4)
	for i := range availablePos {
		availablePos[i] = i
	}

	// 随机选择不重复的座位号
	sitPos := make([]int, 0, num)
	for i := 0; i < num && len(availablePos) > 0; i++ {
		// 随机选择一个索引
		index := rand.Intn(len(availablePos))
		// 将选中的座位号添加到结果中
		sitPos = append(sitPos, availablePos[index])
		// 从可用座位中移除已选择的座位
		availablePos = append(availablePos[:index], availablePos[index+1:]...)
	}
	return sitPos
}
