package main

import (
	"server/conf"
	"server/game"
	"server/gate"
	"server/login"

	"server/game/teen"
	"server/hall"

	"github.com/name5566/leaf"
	lconf "github.com/name5566/leaf/conf"
)

func main() {
	lconf.LogLevel = conf.Server.LogLevel
	lconf.LogPath = conf.Server.LogPath
	lconf.LogFlag = conf.LogFlag
	lconf.ConsolePort = conf.Server.ConsolePort
	lconf.ProfilePath = conf.Server.ProfilePath

	teen.InitGame()
	leaf.Run(
		game.Module,
		gate.Module,
		login.Module,
		hall.Module,
	)
}
